package cn.iocoder.yudao.module.system.controller.admin.conf;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "ptauth")
public class PtUrlConf {
    private String loginUrl;
    private String getUserByCode;
    private String getUserByToken;
    private String logOffToken;
    private String refTokenUrl;
    private String logOffTokenAndJump;
    private String appkey;
    private String redirect_uri;

    public String getLoginUrl() {
        return loginUrl;
    }

    public void setLoginUrl(String loginUrl) {
        this.loginUrl = loginUrl;
    }

    public String getGetUserByCode() {
        return getUserByCode;
    }

    public void setGetUserByCode(String getUserByCode) {
        this.getUserByCode = getUserByCode;
    }

    public String getGetUserByToken() {
        return getUserByToken;
    }

    public void setGetUserByToken(String getUserByToken) {
        this.getUserByToken = getUserByToken;
    }

    public String getLogOffToken() {
        return logOffToken;
    }

    public void setLogOffToken(String logOffToken) {
        this.logOffToken = logOffToken;
    }

    public String getRefTokenUrl() {
        return refTokenUrl;
    }

    public void setRefTokenUrl(String refTokenUrl) {
        this.refTokenUrl = refTokenUrl;
    }

    public String getLogOffTokenAndJump() {
        return logOffTokenAndJump;
    }

    public void setLogOffTokenAndJump(String logOffTokenAndJump) {
        this.logOffTokenAndJump = logOffTokenAndJump;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getRedirect_uri() {
        return redirect_uri;
    }

    public void setRedirect_uri(String redirect_uri) {
        this.redirect_uri = redirect_uri;
    }
}
